export interface DepartmentItem {
  id: string
  departmentName: string
  children?: DepartmentItem[]
}

export interface DepartmentListResponse {
  list: DepartmentItem[]
}

export interface DepartmentUserParams {
  pageSize: number
  pageIndex: number
  id: string
  username?: string
  account?: string
}

export interface DepartmentUserItem {
  id: number
  username: string
  account: string
  email: string
  createTime: string
  role: string
  department: DepartmentItem
}

export interface DepartmentUserResponse {
  list: DepartmentUserItem[]
  totalCount: number
}

export interface UserParams {
  pageSize: number
  pageNum: number
  name?: string
  account?: string
}


export interface UserResponse {
  list: DepartmentUserItem[]
  totalCount: number
  totalPage: number
  pageSize: number
  currPage: number
}

export interface SysRole {
  id: number
  roleName: string
  createTime: string
  roleDesc: string
}

export interface SysUser {
  id?: number
  account: string
  name: string
  password: string
}
